package com.hw.nativeapp.config.enums;

public enum LoginEnum {
    FIRST_LOGIN(1041 , "首次登录"),
    LONGTIME_MODIFY(1042, "长时间未修改密码");

    LoginEnum(Integer code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public static boolean codeExist(Integer code){
        for (LoginEnum item : LoginEnum.values()){
            if (code.equals(item.code)){
                return true;
            }
        }
        return false;
    }

    private Integer code;
    private String msg;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
